Index: oem-config/d-i/source/user-setup/user-setup-apply
===================================================================
--- oem-config.orig/d-i/source/user-setup/user-setup-apply	2009-10-14 10:32:37.000000000 -0400
+++ oem-config/d-i/source/user-setup/user-setup-apply	2009-10-14 10:42:02.000000000 -0400
@@ -260,7 +260,18 @@
 	HOSTNAME="ubuntu"
 fi
 $log $chroot $ROOT echo "$HOSTNAME" > /etc/hostname
-$log $chroot $ROOT echo "127.0.0.1 $HOSTNAME" >> /etc/hosts
 $log $chroot $ROOT hostname $HOSTNAME
 
+$log $chroot $ROOT echo "\
+127.0.0.1 localhost
+127.0.1.1 $HOSTNAME
+
+# The following lines are desirable for IPv6 capable hosts
+::1 ip6-localhost ip6-loopback
+fe00::0 ip6-localnet
+ff00::0 ip6-mcastprefix
+ff02::1 ip6-allnodes
+ff02::2 ip6-allrouters
+ff02::3 ip6-allhosts" > /etc/hosts
+
 exit 0
